Ligenix's Projects

ligenix/enterprise-ipu6

Description not filled in by author. Very likely personal repository for testing purpose, which you should not use.
  • EPEL 9 : x86_64

ligenix/enterprise-qemu-wider

This repository provides Fedora's QEMU upstream and additional packages for Enterprise Linux 9.x Virtualization Environment. This repository is built with enterprise-qemu-buildtools' additional, updated or extended packages. The QEMU stack is rebuilt with QXL/SPICE, VirGLrenderer, PipeWire, Glusterfs, NFS and wider Systems' emulation enabled. You might switch to enterprise-qemu-spice for CentOS Stream's QEMU-KVM rebuilt packages with SPICE enabled for x86_64 and aarch64, VirGLrenderer, GlusterFS, iSCSI and SSH block enabled, to match the former EL8 behaviour. Epoch has been bumped to 17 and the qemu-kvm and qemu-kvm-core packages haved renamed to qemu-system-kvm and qemu-system-kvm-core to prevent conflicts. Latest builds: libgovirt 0.3.8, libsoup 3.4.4, PhoDAV 3.0, SPICE Protocol 0.14.4 / Server 0.15.2 / VDAgent 0.22.1 / Client GTK+ 0.42 / Streaming Agent 0.3 / Htmi5 0.3 / Usbredir 0.13.0, VirGLrenderer 1.0.1, PipeWire1.0.3, liburing 2.5, GlusterFS 11.1, QEMU 8.2.2, virt-manager 4.1.0, lbvirt-glib 5.0.0, virt-viewer 11.0 Packages are rebuilt and modified from CentOS Stream and Fedora ELN repos : https://kojihub.stream.centos.org/kojifiles/packages/ https://kojipkgs.fedoraproject.org/packages/
  • Centos-stream 9 : aarch64, ppc64le, s390x, x86_64
  • EPEL 9 : aarch64, ppc64le, s390x, x86_64

ligenix/enterprise-librenms

This repository provides last LibreNMS an auto-discovering PHP/MySQL/SNMP based network monitoring which includes support for a wide range of network hardware and operating systems including Cisco, Linux, FreeBSD, Juniper, Brocade, Foundry, HP and many more. The Debian Social Contract will be the basis of LibreNMS priority system, and mutual respect is the basis of our behavior towards others. Security enhanced by design: The LibreNMS source code has been patched with some symlincs to be LSB compliant, easy to install with full SELinux support. The share files, configuration settings, private data store, and logs were moved and splitted from /opt/librenms to /usr/share/librenms, /etc/librenms, /var/lib/librenms and /var/log/librenms directories. The SNMP configuration files were put in /etc/snmp/conf.d directory ant the extend files were moved from /etc/snmp to /usr/lib/librenms/snmp directory. The Check_MK files were moved from /usr/lib/check_mk to /usr/lib/librenms/check_mk directory. The Nagios Plugins files were moved from /usr/lib/nagios/plugins to /usr/lib/librenms/nagios-plugins directory. Latest builds: LibreNMS 24.6.0 with Vendors dependencies, Agent (Check_MK and SNMP extend) Git, Weathermap Git, Nagios Plugins 2.4.10
  • EPEL 7 : ppc64le, x86_64
  • EPEL 8 : aarch64, ppc64le, s390x, x86_64
  • EPEL 9 : aarch64, ppc64le, s390x, x86_64
  • Fedora 39 : aarch64, ppc64le, s390x, x86_64
  • Fedora 40 : aarch64, ppc64le, s390x, x86_64

ligenix/enterprise-gsit

1This repository provides last GSIT 9.5.x packages for IT Management Environment for aarch64, ppc64le, s390x, x86_64. It is a fork and extension of discontinued GLPI packages from Remi's RPM repository. GSIT is a fork of discontinued GLPI 9.5.7 without marketplace and glpi-network commercial support. You may also switch to enterprise-glpi10 for newer GLPI 10.0.x packages, which will be the mandatory version to be covered by official support. The main glpi package has been renamed to gsit with provides options to stay compatible. The classical communautary plugins packages haved been previously renamed from glpi-item to glpi-plugin-item packages. The glpi-plugin-fusionventory plugin package has been rename to gsit-plugin-fusioninventory package with provides options to stay compatible. Latest security and bug fixes builds: GSIT 9.5.12, Fusioninventory Agent 2.6 Latest plugins builds: appliances 3.1.1, Behaviors 2.6.1, Geststock 2.0.0, PDF 2.0.0, Additional reports 1.14.1, FusionInventory 9.5+5.0, Datainjection 2.10.2, Additionals fields 1.13.1, Form Creator 2.12.7, Genericobject 2.11.1, More Reporting 1.7.4, ocsinventoryng 1.7.3, Order 2.7.7, SCCM 2.3.2, Treeview 1.9.1, Uninstall 2.7.3, MetaDemands 2.7.9, Moreticket 1.6.1, Protocols Manager 1.4.2 Deprecated Remi's plugins without a GLPI 9.5.x compatible release: archires 2.7.0, WebServices 2.0.0
  • Centos-stream 8 : aarch64, ppc64le, x86_64
  • Centos-stream 9 : aarch64, ppc64le, s390x, x86_64
  • EPEL 7 : ppc64le, x86_64
  • EPEL 8 : aarch64, ppc64le, s390x, x86_64
  • EPEL 9 : aarch64, ppc64le, s390x, x86_64
  • Fedora 39 : aarch64, ppc64le, s390x, x86_64
  • Fedora 40 : aarch64, ppc64le, s390x, x86_64

ligenix/enterprise-qemu-buildtools

This repository provides upstream and additional packages to build some enterprise-qemu-spice's packages.
  • Centos-stream 9 : aarch64, ppc64le, s390x, x86_64
  • EPEL 9 : aarch64, ppc64le, s390x, x86_64

ligenix/enterprise-qemu-spice

This repository provides enhanced CentOS Stream's QEMU-KVM and additional packages for Enterprise Linux 9.x Virtualization Environment. This repository is built with enterprise-qemu-buildtools' additional, updated or extended packages. The QEMU-KVM stack is rebuilt with QXL/SPICE enabled for x86_64 and aarch64, VirGLrenderer, GlusterFS, iSCSI and SSH block enabled, to match the former EL8 behaviour. You might switch to enterprise-qemu-wider for Fedora's QEMU rebuilt packages with SPICE, VirGLrenderer, PipeWire, GlusterFS, NFS and wider QEMU systems emulation enabled. Latest builds: libgovirt 0.3.8, libsoup 3.4.4, PhoDAV 3.0, SPICE Protocol 0.14.4 / Server 0.15.2 / VDAgent 0.22.1 / Client GTK+ 0.42 / Streaming Agent 0.3 / Html5 0.3 / Usbredir 0.13.0, VirGLrenderer 1.0.1, liburing 2.3, GlusterFS 11.1, QEMU 9.0.0, virt-manager 4.1.0, lbvirt-glib 5.0.0, virt-viewer 11.0 Packages are rebuilt and modified from CentOS Stream and Fedora ELN repos : https://kojihub.stream.centos.org/kojifiles/packages/qemu-kvm/ https://kojipkgs.fedoraproject.org/packages/
  • Centos-stream 10 : aarch64, ppc64le, s390x, x86_64
  • Centos-stream 9 : aarch64, ppc64le, s390x, x86_64
  • EPEL 9 : aarch64, ppc64le, s390x, x86_64

ligenix/enterprise-gluster11

This repository provides CentOS Stream SIG GlusterFS 11.x packages rebuilt for EL8 and EL9 for aarch64, ppc64le, s390x, x86_64. You might switch to enterprise-gluster10 for GlusterFS 10.x packages. Packages are rebuilt from CentOS Stream repos : https://cbs.centos.org/kojifiles/packages/glusterfs/11.1/
  • EPEL 8 : aarch64, ppc64le, s390x, x86_64
  • EPEL 9 : aarch64, ppc64le, s390x, x86_64

ligenix/enterprise-xibo

This repository provides last Xibo Digital Signage Solutions CMS and XMR packages, only for x86_64 on EL, as the CMS mandatory php-zmq dependency is only provided by Remi's RPM repository. Security enhanced by design: The Xibo CMS source code has been patched to be LSB compliant, easy to install with full SELinux support. The configuration settings were moved outside of the DocumentRoot in /etc/xibo repository. The private data store was automatically predefined as /var/lib/xibo/library repository. Installation with apache is now configured to be done under localhost/xibo. This repository also provides Arexibo an alternate Digital Signage Player for Xibo, written in Rust, for aarch64, x86_64. Raspberry PI 4 is officially supported on Fedora since 37 release so you can test Arexibo on this platform without any tweak required. Latest builds: Xibo CMS 4.0.12, Arexibo 0.2.3
  • EPEL 7 : x86_64
  • EPEL 8 : aarch64, x86_64
  • EPEL 9 : aarch64, x86_64
  • Fedora 39 : aarch64, x86_64
  • Fedora 40 : aarch64, x86_64

ligenix/enterprise-identity-management

This repository provides modules for Identity Management. Latest modules build: mod_evasive 1.10.1, mod_auth_cas 1.2, lasso 2.8.2, mod_auth_mellon 0.18.1, xmltooling 3.2.4, opensaml 3.2.1, shibboleth-sp 3.4.1, shibboleth-resolver 3.4.0, shibboleth-embedded-ds 1.2.2, ipsilon 3.0.4
  • Centos-stream 8 : aarch64, ppc64le, x86_64
  • Centos-stream 9 : aarch64, ppc64le, s390x, x86_64
  • EPEL 8 : aarch64, ppc64le, s390x, x86_64
  • EPEL 9 : aarch64, ppc64le, s390x, x86_64

ligenix/enterprise-glpi10

This repository provides last GLPI 10.0.x packages for IT Management Environment for aarch64, ppc64le, s390x, x86_64. It is a fork and extension of discontinued packages from Remi's RPM repository. You might switch to enterprise-glpi for former GLPI 9.5.x packages. The main glpi package previoulsy depended on php packages made by splitting ibraries which are now kept inside the vendor directory. The new markerplace for glpi-network commercial plugins has been relocated in glpi-marketplace package. Security enhanced by design: the marketplace directory has been protected with a systemd mount bind which redirects and restricts all write access for web downloaded plugins to dynamic /var/lib/glpi/marketplace instead of static /usr/share/glpi/marketplace. The classical communautary plugins packages haved been all renamed from glpi-item to glpi-plugin-item packages. The new glpi-agent for glpi has been added and configured to obsolete former fusioninventory-agent <= 2.6. Latest security and bug fixes builds: GLPI 10.0.15, GLPI Agent 1.9 Latest plugins builds: appliances 3.2.0, Behaviors 2.7.3, Geststock 2.1.1, PDF 3.0.0, Additional reports 1.16.0, FusionInventory 10.0.12+1.0, Database Inventory 1.0.0, Datainjection 2.13.5, Additionals fields 1.21.8, Form Creator 2.13.9, Genericobject 2.14.8, GLPI Inventory 1.3.5, More Reporting 1.8.6, ocsinventoryng 2.0.4, Order 2.10.6, SCCM 2.4.3, Treeview 1.10.2, Uninstall 2.9.1, MetaDemands 3.3.10, Moreticket 1.7.4, Purchaserequest 3.0.1, Protocols Manager 1.5.3.5
  • Centos-stream 8 : aarch64, ppc64le, x86_64
  • Centos-stream 9 : aarch64, ppc64le, s390x, x86_64
  • EPEL 7 : ppc64le, x86_64
  • EPEL 8 : aarch64, ppc64le, s390x, x86_64
  • EPEL 9 : aarch64, ppc64le, s390x, x86_64
  • Fedora 39 : aarch64, ppc64le, s390x, x86_64
  • Fedora 40 : aarch64, ppc64le, s390x, x86_64